# WEB+DB PRESS Vol.131 連載「Perl Hackers Hub」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.131」の連載「Perl Hackers Hub」第75回「AWS Lambda入門」（一野瀬翔吾著）のサンプルコードです。

## 内容

以下の3種類のサンプルコードを同梱しています。

- simple: 最低限の動作に必要な Lambda 関数のサンプルコード
- http-api: Lambda 関数を HTTP API として公開するサンプルコード
- counter: DynamoDB を使ったカウンタ HTTP API サンプルコード

## サンプルコードの実行方法

各サンプルには [AWS Serverless Application Model (AWS SAM)](https://aws.amazon.com/jp/serverless/sam/) のテンプレートも同梱しています。
デプロイには [SAM CLI](https://github.com/aws/aws-sam-cli) が必要です。
公式ドキュメントの[AWS SAM CLI のインストール](https://docs.aws.amazon.com/ja_jp/serverless-application-model/latest/developerguide/serverless-sam-cli-install.html)を参照してください。

以下のコマンドでご自身の AWS アカウントにデプロイできます。

```bash
$ sam deploy --guided
```

動作確認の方法については、連載記事をご覧ください。
