use v5.36;
use utf8;
use AWS::Lambda::PSGI;

# "hello, world" と返すだけの PSGI アプリケーション
my $app = sub {
    return [
        200,
        ['Content-Type' => 'text/plain'],
        ["hello, world\n"]
    ];
};

# PSGI を AWS Lambda Function URLs に対応した関数に変換
my $func = AWS::Lambda::PSGI->wrap($app);

# アプリケーションを実行
sub handle ($payload, $context) {
    return $func->($payload);
}

1;
